org.apache.sysds.runtime.controlprogram.parfor.stat

## Class Timing

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.stat.Timing

    public class Timing
    extends Object

Helper class for encapsulated time measurements.

### Constructor Summary

Constructors
Constructor and Description
`Timing()`
`Timing(boolean start)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `start()` Starts the time measurement.
`double` `stop()` Measures and returns the time since the last start() or stop() invocation and restarts the measurement.
`void` `stopAndPrint()` Measures and returns the time since the last start() or stop() invocation, restarts the measurement, and prints the last measurement to STDOUT.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Timing

    public Timing()

#### Timing

    public Timing(boolean start)

### Method Detail

#### start

    public void start()

Starts the time measurement.

#### stop

    public double stop()

Measures and returns the time since the last start() or stop() invocation and restarts the measurement.

Returns:
  duration between start and stop

#### stopAndPrint

    public void stopAndPrint()

Measures and returns the time since the last start() or stop() invocation, restarts the measurement, and prints the last measurement to STDOUT.